/// <reference types="react" />
import { TweenParams } from "./tween";
declare type Element = React.ReactNode;
declare type Key = number;
export declare type Line = {
    element: Element;
    key: Key;
};
declare type LineTransition = {
    element: React.ReactNode;
    key: number;
    tweenY: TweenParams;
    tweenX: TweenParams;
};
export declare function useLineTransitions(prevLines: Line[], nextLines: Line[]): LineTransition[];
export {};
